# $Revision: 1.152 $, $Date: 2009/03/27 18:18:54 $
# TODO:
%define		oname		kdebase-workspace
%define		_state		stable
%define		qt4brver	4.5.0
# - internal deps (really FUBAR currently)

Summary:	KDE 4 base workspace components
Summary(pl.UTF-8):	Podstawowe komponenty środowiska KDE 4
Name:		kde4-kdebase-workspace
Version:	4.2.2
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{oname}-%{version}.tar.bz2
# Source0-md5:	ac494815044eefc3a181488871225eda
Source1:	kdebase-kdesktop.pam
Source2:	kdebase-kdm.pam
Source3:	kdebase-kdm-np.pam
Source4:	kdebase-kdm.init
Source5:	kdebase-kdm.sysconfig
Source6:	kdebase-kdm_pldlogo.png
Source7:	kdebase-kdm_pldwallpaper.png
Source8:	kdebase-kde.pam
Source9:	%{name}-kcheckpass.pam
Source10:	%{name}-kscreensaver.pam
Source11:	kdebase-kdm.Xsession
Source15:	%{name}.desktop
Source16:	%{name}-session
Patch0:		%{name}-rootprivs.patch
Patch1:		%{name}-solid-bluetooth.patch
Patch2:		%{name}-kdmconfig.patch
Patch100:	%{name}-branch.diff
URL:		http://www.kde.org/
BuildRequires:	ConsoleKit-devel
BuildRequires:	NetworkManager-devel >= 0.7.0-0.svn4027.1
BuildRequires:	OpenGL-devel
BuildRequires:	Qt3Support-devel >= %{qt4brver}
BuildRequires:	QtDesigner-devel >= %{qt4brver}
BuildRequires:	QtGui-devel >= %{qt4brver}
BuildRequires:	QtScript-devel >= %{qt4brver}
BuildRequires:	QtSvg-devel >= %{qt4brver}
BuildRequires:	QtTest-devel >= %{qt4brver}
BuildRequires:	QtUiTools-devel >= %{qt4brver}
BuildRequires:	QtWebKit-devel >= %{qt4brver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	bluez-libs-devel
BuildRequires:	boost-devel
BuildRequires:	cmake >= 2.6.2
BuildRequires:	google-gadgets-qt >= 0.10.5
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-kdepimlibs-devel >= %{version}
BuildRequires:	libcaptury-devel
BuildRequires:	libggadget-qt-devel >= 0.10.5
BuildRequires:	libtirpc-devel
BuildRequires:	libusb-devel
BuildRequires:	libxklavier-devel
BuildRequires:	lm_sensors-devel
BuildRequires:	phonon-devel >= 4.3.1
BuildRequires:	python-sip-devel
BuildRequires:	qedje-devel
BuildRequires:	qimageblitz-devel
BuildRequires:	qt4-build >= %{qt4brver}
BuildRequires:	qzion-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	soprano-devel
BuildRequires:	strigi-devel
BuildRequires:	xmms-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRequires:	xorg-lib-libXtst-devel
Requires:	kde4-icons-oxygen >= %{version}
Requires:	xorg-app-xmessage
Requires:	xorg-app-xprop
Requires:	xorg-app-xset
Requires:	xorg-app-xsetroot
Suggests:	kde4-style-oxygen >= %{version}
Obsoletes:	kde4-kdebase-workspace-core
Obsoletes:	kde4-kdebase-workspace-kde4-decoration-libs
Obsoletes:	kdebase-desktop
Obsoletes:	kdebase4-workspace
Conflicts:	kdebase-core
Conflicts:	kdebase-desktop
Conflicts:	kdebase4-workspace
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains KDE base system which includes:
- KDE Control Centre with modules
- KWin window manager and several decorations
- KDE splash themes and plugins
- many more.

%description -l pl.UTF-8
Ten pakiet zawiera podstawowe aplikacje KDE:
- Centrum sterowania z modułami
- zarządcę okien Kwin wraz z dekoracjami
- ekrany startowe KDE
- wiele innych elementów.

%package libksgrd
Summary:	ksgrd library
Summary(pl.UTF-8):	Biblioteka ksgrd
Group:		X11/Libraries
Requires(post,postun):	/sbin/ldconfig

%description libksgrd
A library containing functions for the system monitor KSysGuard.

%description libksgrd -l pl.UTF-8
Biblioteka zawierające funkcje monitora systemu - KSysGuard.

%package devel
Summary:	Include files to develop KDE applications
Summary(pl.UTF-8):	Pliki nagłówkowe potrzebne do tworzenia aplikacji KDE
Summary(pt_BR.UTF-8):	Arquivos de inclusão para compilar aplicativos que usem bibliotecas do kdebase
Group:		X11/Development/Libraries
Requires:	%{name}-plasma = %{version}-%{release}
Requires:	kde4-kdebase-workspace-libksgrd = %{version}-%{release}
Requires:	kde4-kdebase-workspace-screensavers = %{version}-%{release}
Requires:	kde4-kdelibs-devel >= %{version}

%description devel
This package contains header files needed to develop KDE applications.

%description devel -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe niezbędne do programowania aplikacji
KDE.

%description devel -l pt_BR.UTF-8
Este pacote contém os arquivos de inclusão que são necessários para
compilar aplicativos que usem bibliotecas do kdebase.

%package kfontinst
Summary:	K Font Installer
Summary(pl.UTF-8):	Instalator fontów dla KDE
Group:		X11/Applications
Conflicts:	kdebase-kfontinst

%description kfontinst
KDE font installer.

%description kfontinst -l pl.UTF-8
Instalator czcionek dla KDE.

%package klipper
Summary:	Clipboard Tool
Summary(pl.UTF-8):	Narzędzie schowka
Group:		X11/Applications

%description klipper
A tool extending the clipboard support for KDE. Note that it requires
a powerful computer.

%description klipper -l pl.UTF-8
Narzędzie rozszerzające obsługę schowka dla KDE. Wymaga ono szybkiego
systemu.

%package ksysguard
Summary:	System Guard
Summary(pl.UTF-8):	Strażnik systemu
Group:		X11/Applications
Requires(post,postun):	/sbin/ldconfig

%description ksysguard
KDE System Guard.

%description ksysguard -l pl.UTF-8
Strażnik systemu dla KDE.

%package kwin
Summary:	KWin - KDE 4 window manager
Summary(pl.UTF-8):	KWin - zarządca okien KDE 4
Group:		X11/Applications

%description kwin
KWin - KDE 4 window manager.

%description kwin -l pl.UTF-8
KWin - zarządca okien KDE 4.

%package plasma
Summary:	Plasma - KDE 4 panels and desktop work area
Summary(pl.UTF-8):	Plasma - panele i pulpit KDE 4
Group:		X11/Applications
Suggests:	google-gadgets-qt >= 0.10.4

%description plasma
Plasma - KDE 4 panels and desktop work area.

%description plasma -l pl.UTF-8
Plasma - panele i pulpit KDE 4.

%package screensavers
Summary:	KDE screensavers
Summary(pl.UTF-8):	Wygaszacze ekranu KDE
Summary(ru.UTF-8):	хранители экрана для KDE
Summary(uk.UTF-8):	зберігачі екрану для KDE
Group:		X11/Applications

%description screensavers
KDE screensavers.

%description screensavers -l pl.UTF-8
Wygaszacze ekranu KDE.

%description screensavers -l ru.UTF-8
Некоторые 3D хранители экрана для K Desktop Environment.

%package solid
Summary:	Solid - KDE 4 hardware configuration
Summary(pl.UTF-8):	Solid - konfiguracja sprzętu w KDE 4
Group:		X11/Applications

%description solid
Solid - KDE 4 hardware configuration.

%description solid -l pl.UTF-8
Solid - konfiguracja sprzętu w KDE 4.

%package networkmanager
Summary:	Solid NetworkManager - network management using the NetworkManager daemon
Summary(pl.UTF-8):	Solid NetworkManager - zarządzanie siecią przy użyciu demona NetworkManager
Group:		X11/Applications
Requires:	%{name}-solid = %{version}-%{release}

%description networkmanager
Solid NetworkManager - network management using the NetworkManager
daemon.

%description networkmanager -l pl.UTF-8
Solid NetworkManager - zarządzanie siecią przy użyciu demona
NetworkManager.

%package kwrited
Summary:	KDE write messaging daemon
Summary(pl.UTF-8):	Demon do KDE obsługujący wymianę wiadomości za pomocą write
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Obsoletes:	kde4-kdebase-kwrited

%description kwrited
A kde daeomn that watches for messages from local users sent with
write or wall.

%description kwrited -l pl.UTF-8
Demon KDE, który monitoruje wiadomości jakie lokalni użytkownicy
wysyłają za pomocą komend write lub wall.

%package wallpapers
Summary:	KDE 4 wallpapers
Summary(pl.UTF-8):	Tapety KDE 4
Group:		X11/Applications

%description wallpapers
KDE 4 wallpapers.

%description wallpapers -l pl.UTF-8
Tapety KDE 4.

%package -n kde4-kdm
Summary:	KDE Display Manager
Summary(pl.UTF-8):	Zarządca ekranów KDE
Group:		X11/Applications
Requires(post,preun):	/sbin/chkconfig
Requires:	kde4-kgreet
Requires:	pam >= 0.99.7.1
Requires:	rc-scripts
Provides:	XDM
Obsoletes:	kdm < 9:3.0.0
Obsoletes:	kdm >= 4.0.0

%description -n kde4-kdm
A program used for managing X11 sessions on local or remote computers.
Also provides graphical login method.

%description -n kde4-kdm -l pl.UTF-8
Program służący do zarządzania zarówno lokalnymi jak i zdalnymi
sesjami X11. Udostępnia także graficzny tryb logowania.

%package -n kde4-decoration-b2
Summary:	KDE Window Decoration - B2
Summary(pl.UTF-8):	Dekoracja okna dla KDE - B2
Group:		X11/Amusements

%description -n kde4-decoration-b2
A Beos like window decoration with rectangular window title to the
left. The actual window decoration does not take more than 20-30% of
the screen width and if two window titles overlap each other, they are
aligned next to each other.

%description -n kde4-decoration-b2 -l pl.UTF-8
Podobna do Beos dekoracja okien z prostokątnym tytułem okna po lewej
stronie. Nie zajmuje ona więcej niż 20-30% szerokości ekranu, a w
przypadkach gdyby dwie dekoracje się zasłaniały, są one układane obok
siebie.

%package -n kde4-decoration-kde2
Summary:	KDE Window Decoration - kde2
Summary(pl.UTF-8):	Dekoracja okna dla KDE - kde2
Group:		X11/Amusements

%description -n kde4-decoration-kde2
KDE Window Decoration - kde2.

%description -n kde4-decoration-kde2 -l pl.UTF-8
Dekoracja okna dla KDE - kde2.

%package -n kde4-decoration-keramik
Summary:	KDE Window Decoration - keramik
Summary(pl.UTF-8):	Dekoracja okna dla KDE - keramik
Group:		X11/Amusements

%description -n kde4-decoration-keramik
KDE Window Decoration - keramik.

%description -n kde4-decoration-keramik -l pl.UTF-8
Dekoracja okna dla KDE - keramik.

%package -n kde4-decoration-laptop
Summary:	KDE Window Decoration - Laptop
Summary(pl.UTF-8):	Dekoracja okna dla KDE - Laptop
Group:		X11/Amusements

%description -n kde4-decoration-laptop
A window decoration with stripped window title and lightly convex
window buttons.

%description -n kde4-decoration-laptop -l pl.UTF-8
Dekoracja okna z paskowanym tytułem okna oraz lekko wypukłymi
przyciskami okna.

%package -n kde4-decoration-modernsys
Summary:	KDE Window Decoration - ModernSys
Summary(pl.UTF-8):	Dekoracja okna dla KDE - ModernSys
Group:		X11/Amusements

%description -n kde4-decoration-modernsys
A window decoration with small, top-aligned window buttons and a
window title with gray lines surronding the text of the title. Also
with a convex resize handle on the bottom-right window corner.

%description -n kde4-decoration-modernsys -l pl.UTF-8
Dekoracja okna z małymi, wyrównanymi do góry przyciskami okna oraz
tytułem okna otoczonym szarymi liniami. Ma również wypukły uchwyt
służący do zmiany rozmiaru w prawym dolnym rogu okna.

%package -n kde4-decoration-oxygen
Summary:	KDE Window Decoration - Oxygen
Summary(pl.UTF-8):	Dekoracja okna dla KDE - Oxygen
Group:		X11/Amusements

%description -n kde4-decoration-oxygen
A window decoration with small, top-aligned window buttons and a
window title with gray lines surronding the text of the title. Also
with a convex resize handle on the bottom-right window corner.

%description -n kde4-decoration-oxygen -l pl.UTF-8
Dekoracja okna z małymi, wyrównanymi do góry przyciskami okna oraz
tytułem okna otoczonym szarymi liniami. Ma również wypukły uchwyt
służący do zmiany rozmiaru w prawym dolnym rogu okna.

%package -n kde4-decoration-ozone
Summary:	KDE Window Decoration - Ozone
Summary(pl.UTF-8):	Dekoracja okna dla KDE - Ozone
Group:		X11/Amusements
Requires:	kde4-kdebase-workspace-kwin >= %{version}

%description -n kde4-decoration-ozone
A window decoration Ozone.

%description -n kde4-decoration-ozone -l pl.UTF-8
Dekoracja okna Ozone.

%package -n kde4-decoration-plastic
Summary:	KDE Window Decoration - Plastic
Summary(pl.UTF-8):	Dekoracja okna dla KDE - Plastic
Group:		X11/Amusements

%description -n kde4-decoration-plastic
A window decoration with small, top-aligned window buttons and a
window title with gray lines surronding the text of the title. Also
with a convex resize handle on the bottom-right window corner.

%description -n kde4-decoration-plastic -l pl.UTF-8
Dekoracja okna z małymi, wyrównanymi do góry przyciskami okna oraz
tytułem okna otoczonym szarymi liniami. Ma również wypukły uchwyt
służący do zmiany rozmiaru w prawym dolnym rogu okna.

%package -n kde4-decoration-quartz
Summary:	KDE Window Decoration - Quartz
Summary(pl.UTF-8):	Dekoracja okna dla KDE - Quartz
Group:		X11/Amusements

%description -n kde4-decoration-quartz
A window decoration with solid borders. The window caption consists of
a lighter area for the window title and a darker area for window
buttons. Between the two area there is a stylish transition.

%description -n kde4-decoration-quartz -l pl.UTF-8
Dekoracja okna z pełnymi krawędziami. Nagłówek okna składa się z
jasnego obszaru dla tytułu okna i ciemniejszego dla przycisków. Między
obszarami jest stylowy przejście.

%package -n kde4-decoration-redmond
Summary:	KDE Window Decoration - Redmond
Summary(pl.UTF-8):	Dekoracja okna dla KDE - Redmond
Group:		X11/Amusements

%description -n kde4-decoration-redmond
A window decoration resembling the one from Windows 98.

%description -n kde4-decoration-redmond -l pl.UTF-8
Dekoracja okna przypominająca tę z Windows 98.

%package -n kde4-decoration-web
Summary:	KDE Window Decoration - Web
Summary(pl.UTF-8):	Dekoracja okna dla KDE - Web
Group:		X11/Amusements

%description -n kde4-decoration-web
A completely flat window decoration with rounded corners and visible,
thin borders.

%description -n kde4-decoration-web -l pl.UTF-8
Zupełnie płaska dekoracja okna z zaokrąglonymi brzegami oraz
widocznymi, cienkimi krawędziami.

%package -n kde4-kgreet-classic
Summary:	KDE greeter libraries - classic version
Summary(pl.UTF-8):	Biblioteki KDE służące do zapytań o hasło - wersja klasyczna
Group:		X11/Libraries
Provides:	kde4-kgreet

%description -n kde4-kgreet-classic
Tools for asking for passwords in the classic, default look.

%description -n kde4-kgreet-classic -l pl.UTF-8
Narzędzia służące do zapytań o hasło - klasyczny, domyślny motyw
wyglądu.

%package -n kde4-kgreet-generic
Summary:	KDE greeter libraries - generic version
Summary(pl.UTF-8):	Biblioteki KDE służące do zapytań o hasło - wersja zwykła
Group:		X11/Libraries
Provides:	kde4-kgreet

%description -n kde4-kgreet-generic
Tools for asking for passwords in the generic, default look.

%description -n kde4-kgreet-generic -l pl.UTF-8
Narzędzia służące do zapytań o hasło - zwykły, domyślny motyw wyglądu.

%package -n kde4-kgreet-winbind
Summary:	KDE greeter libraries - winbind version
Summary(pl.UTF-8):	Biblioteki służące do zapytań o hasło - wersja winbind
Group:		X11/Libraries
Provides:	kde4-kgreet

%description -n kde4-kgreet-winbind
Tools for asking for passwords - winbind version.

%description -n kde4-kgreet-winbind -l pl.UTF-8
Narzędzia służące do zapytań o hasło - wersja winbind.

%package -n kde4-splash-Default
Summary:	Default clasic KDE splashscreen
Summary(pl.UTF-8):	Domyślny klasyczny ekran startowy KDE
Group:		X11/Amusements
Requires:	%{name} >= %{version}

%description -n kde4-splash-Default
Default splashscreen that came with this version of KDE.

%description -n kde4-splash-Default -l pl.UTF-8
Domyślny ekran powitalny dostarczony w tej wersji KDE.

%package -n kde4-splash-Simple
Summary:	KDE Simple splashscreen
Summary(pl.UTF-8):	Ekran powitalny KDE Simple
Group:		X11/Amusements
Requires:	%{name} >= %{version}

%description -n kde4-splash-Simple
KDE Simple splashcreen.

%description -n kde4-splash-Simple -l pl.UTF-8
Ekran powitalny KDE Simple.

%package -n kde4-splash-SimpleSmall
Summary:	KDE SimpleSmall splashscreen
Summary(pl.UTF-8):	Ekran powitalny KDE SimpleSmall
Group:		X11/Amusements
Requires:	%{name} >= %{version}

%description -n kde4-splash-SimpleSmall
KDE SimpleSmall splashcreen.

%description -n kde4-splash-SimpleSmall -l pl.UTF-8
Ekran powitalny KDE SimpleSmall.

%package svg-icons
Summary:        KDE SVG icons - oxygen
Summary(pl.UTF-8):      Motyw ikon SVG do KDE - oxygen
Group:          Themes
Requires:	kde4-icons-oxygen-svg

%description svg-icons
KDE icons - oxygen. This package contains SVG icons.

%description svg-icons -l pl.UTF-8
Motyw ikon do KDE - oxygen. Ten pakiet zawiera ikony SVG.

%prep
%setup -q -n %{oname}-%{version}
#%patch100 -p1
%patch0 -p1
%patch1 -p0
%patch2 -p1

%build
install -d build
cd build
%cmake \
	-DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DKDE4_KDM_PAM_SERVICE=kdm \
	-DKDE4_KCHECKPASS_PAM_SERVICE=kcheckpass \
	-DKDE4_KSCREENSAVER_PAM_SERVICE=kscreensaver \
	-DCMAKE_BUILD_TYPE=%{!?debug:release}%{?debug:debug} \
%if "%{_lib}" == "lib64"
	-DLIB_SUFFIX=64 \
%endif
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}
install -d $RPM_BUILD_ROOT/etc/{X11/kdm,pam.d,security}
install -d $RPM_BUILD_ROOT%{_datadir}/config/kdm \
	$RPM_BUILD_ROOT%{_datadir}/apps/konqueror \
	$RPM_BUILD_ROOT%{_datadir}/apps/kcontrol \
	$RPM_BUILD_ROOT%{_datadir}/apps/kcontrol/pics \
	$RPM_BUILD_ROOT%{_datadir}/apps/konqsidebartng \
	$RPM_BUILD_ROOT%{_datadir}/apps/konqsidebartng/virtual_folders \
	$RPM_BUILD_ROOT%{_datadir}/apps/konqsidebartng/virtual_folders/services

install %{SOURCE1}	$RPM_BUILD_ROOT/etc/pam.d/kdesktop
install %{SOURCE2}	$RPM_BUILD_ROOT/etc/pam.d/kdm
install %{SOURCE3}	$RPM_BUILD_ROOT/etc/pam.d/kdm-np
install %{SOURCE8}	$RPM_BUILD_ROOT/etc/pam.d/kde
install %{SOURCE9}	$RPM_BUILD_ROOT/etc/pam.d/kcheckpass
install %{SOURCE10}	$RPM_BUILD_ROOT/etc/pam.d/kscreensaver
install %{SOURCE4}	$RPM_BUILD_ROOT/etc/rc.d/init.d/kdm
install %{SOURCE5}	$RPM_BUILD_ROOT/etc/sysconfig/kdm

install %{SOURCE11}	$RPM_BUILD_ROOT/etc/X11/kdm/Xsession

install %{SOURCE6}	$RPM_BUILD_ROOT%{_datadir}/apps/kdm/pics/pldlogo.png
install %{SOURCE7}	$RPM_BUILD_ROOT%{_datadir}/wallpapers/kdm_pld.png

install %{SOURCE16} $RPM_BUILD_ROOT%{_bindir}/kde4-session
install %{SOURCE15} $RPM_BUILD_ROOT/etc/X11/sessions/kde4.desktop

$RPM_BUILD_ROOT%{_bindir}/genkdmconf --in $RPM_BUILD_ROOT%{_datadir}/config/kdm
rm -f $RPM_BUILD_ROOT%{_datadir}/config/kdm/README
rm -f $RPM_BUILD_ROOT%{_datadir}/config/kdm/*.bak

touch $RPM_BUILD_ROOT/etc/security/blacklist.kdm

%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	libksgrd	-p /sbin/ldconfig
%postun	libksgrd	-p /sbin/ldconfig

%post -n kde4-kdm
/sbin/chkconfig --add kdm
if [ -f /var/lock/subsys/kdm ]; then
	%banner kde4-kdm -e <<EOF
 ***************************************************
 *                                                 *
 * NOTE:                                           *
 * To make sure that new version of KDM is running *
 * You should restart KDM with:                    *
 * "/sbin/service kdm restart".                    *
 *                                                 *
 * WARNING:                                        *
 * Restarting KDM will terminate any X session     *
 * started by it!                                  *
 *                                                 *
 ***************************************************

EOF
else
	%banner kde4-kdm -e <<EOF
Run "/sbin/service kdm start" to start kdm.

EOF
fi

%preun -n kde4-kdm
if [ "$1" = "0" ]; then
	%service kdm stop
	/sbin/chkconfig --del kdm
fi

%files
%defattr(644,root,root,755)
# dirs
%dir %{_datadir}/apps/konqueror
%dir %{_datadir}/apps/kcontrol
%dir %{_datadir}/apps/kcontrol/pics
%dir %{_datadir}/apps/konqsidebartng/
%dir %{_datadir}/apps/konqsidebartng/virtual_folders
%dir %{_datadir}/apps/konqsidebartng/virtual_folders/services
%dir %{_datadir}/apps/ksplash/Themes
#
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/systemsettingsrc
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/kdesktop
%attr(755,root,root) %{_bindir}/kapplymousetheme
%attr(755,root,root) %{_bindir}/kcheckrunning
%attr(755,root,root) %{_bindir}/krdb
%attr(755,root,root) %{_bindir}/kstartupconfig4
%attr(755,root,root) %{_bindir}/ksystraycmd
%attr(755,root,root) %{_bindir}/startkde
%attr(755,root,root) %{_bindir}/safestartkde
%attr(755,root,root) %{_bindir}/kcminit
%attr(755,root,root) %{_bindir}/kcminit_startup
%attr(755,root,root) %{_bindir}/kdostartupconfig4
%attr(755,root,root) %{_bindir}/setscheduler
%attr(755,root,root) %{_libdir}/libkworkspace.so.*
%attr(755,root,root) %{_libdir}/libprocesscore.so.*
%attr(755,root,root) %{_libdir}/libprocessui.so.*
%attr(755,root,root) %{_libdir}/libtaskmanager.so.*
%attr(755,root,root) %{_libdir}/libweather_ion.so.*
%attr(755,root,root) %{_libdir}/libplasmaclock.so.*
%attr(755,root,root) %{_libdir}/libkdeinit4_kcminit.so
%attr(755,root,root) %{_libdir}/libkdeinit4_kcminit_startup.so

# standard actions
%attr(755,root,root) %{_libdir}/kde4/kcm_standard_actions.so
%{_datadir}/kde4/services/standard_actions.desktop
%{_datadir}/kde4/services/settings-input-actions.desktop

# autostart
%attr(755,root,root) %{_libdir}/kde4/kcm_autostart.so
%{_datadir}/kde4/services/autostart.desktop

# kaccess
%attr(755,root,root) %{_bindir}/kaccess
%attr(755,root,root) %{_libdir}/libkdeinit4_kaccess.so
%{_datadir}/apps/kaccess
%{_datadir}/kde4/services/kaccess.desktop

# kcontrol
%{_datadir}/apps/kcontrol/pics/anchor.png
%{_datadir}/apps/kcontrol/pics/energybig.png
%{_datadir}/apps/kcontrol/pics/lo-energy.png
%{_datadir}/apps/kcontrol/pics/logo.png
%{_datadir}/apps/kcontrol/pics/mini-world.png
%{_datadir}/apps/kcontrol/pics/monitor.png
%{_kdedocdir}/en/kcontrol/*

# khotkeys
%attr(755,root,root) %{_libdir}/libkhotkeysprivate.so.?
%attr(755,root,root) %{_libdir}/libkhotkeysprivate.so.*.*.*
%attr(755,root,root) %{_libdir}/kde4/kcm_hotkeys.so
%attr(755,root,root) %{_libdir}/kde4/kded_khotkeys.so
%attr(755,root,root) %{_libdir}/kconf_update_bin/khotkeys_update
%attr(755,root,root) %{_libdir}/kconf_update_bin/krdb_clearlibrarypath
%{_datadir}/apps/kcmkeys
%{_datadir}/apps/kconf_update/khotkeys_32b1_update.upd
%{_datadir}/apps/khotkeys
%{_datadir}/dbus-1/interfaces/org.kde.khotkeys.xml
%{_datadir}/kde4/services/kded/khotkeys.desktop
%{_datadir}/kde4/services/khotkeys.desktop

# kmenuedit
%attr(755,root,root) %{_bindir}/kmenuedit
%attr(755,root,root) %{_libdir}/libkdeinit4_kmenuedit.so
%{_desktopdir}/kde4/kmenuedit.desktop
%{_datadir}/apps/kmenuedit
%lang(en) %{_kdedocdir}/en/kmenuedit
%{_iconsdir}/*/*/apps/kmenuedit.png

# krandrtray
%attr(755,root,root) %{_bindir}/krandrtray
%{_desktopdir}/kde4/krandrtray.desktop

# krunner
%attr(755,root,root) %{_bindir}/krunner
%attr(755,root,root) %{_libdir}/libkdeinit4_krunner.so
%attr(755,root,root) %{_libdir}/kde4/kcm_krunner_shell.so
%attr(755,root,root) %{_libdir}/kde4/krunner_bookmarksrunner.so
%attr(755,root,root) %{_libdir}/kde4/krunner_calculatorrunner.so
%attr(755,root,root) %{_libdir}/kde4/krunner_locations.so
%attr(755,root,root) %{_libdir}/kde4/krunner_webshortcuts.so
%attr(755,root,root) %{_libdir}/kde4/krunner_placesrunner.so
%attr(755,root,root) %{_libdir}/kde4/krunner_powerdevil.so
%attr(755,root,root) %{_libdir}/kde4/krunner_services.so
%attr(755,root,root) %{_libdir}/kde4/krunner_sessions.so
%attr(755,root,root) %{_libdir}/kde4/krunner_shell.so
%attr(755,root,root) %{_libdir}/kde4/krunner_nepomuksearchrunner.so
%attr(755,root,root) %{_libdir}/kde4/krunner_recentdocuments.so
%attr(755,root,root) %{_libdir}/kde4/libexec/krunner_lock
%{_datadir}/kde4/services/recentdocuments.desktop
%{_datadir}/autostart/krunner.desktop
%{_datadir}/dbus-1/interfaces/org.kde.krunner.App.xml
%{_datadir}/dbus-1/services/org.kde.krunner.service
%{_datadir}/kde4/services/plasma-runner-nepomuksearch.desktop
%{_datadir}/kde4/services/plasma-runner-shell_config.desktop

# ksmserver
%attr(755,root,root) %{_bindir}/ksmserver
%attr(755,root,root) %{_libdir}/libkdeinit4_ksmserver.so
%{_datadir}/apps/kconf_update/ksmserver.upd
%{_datadir}/dbus-1/interfaces/org.kde.KSMServerInterface.xml

# ksplash
%attr(755,root,root) %{_bindir}/ksplashsimple
%attr(755,root,root) %{_bindir}/ksplashx
%attr(755,root,root) %{_bindir}/ksplashx_scale
%attr(755,root,root) %{_libdir}/kde4/kcm_ksplashthemes.so
%dir %{_datadir}/apps/ksplash
%dir %{_datadir}/apps/ksplash/Themes/None
%{_datadir}/apps/ksplash/Themes/None/Theme.rc
%{_datadir}/config/ksplash.knsrc
%{_datadir}/kde4/services/ksplashthememgr.desktop
%{_iconsdir}/*/*/apps/ksplash.png

# ktip
#%attr(755,root,root) %{_bindir}/ktip
#%{_datadir}/autostart/ktip.desktop
#%{_desktopdir}/kde4/ktip.desktop

# kxkb
%attr(755,root,root) %{_bindir}/kxkb
%attr(755,root,root) %{_libdir}/libkdeinit4_kxkb.so
%lang(en) %{_kdedocdir}/en/kxkb
%{_iconsdir}/*/*/apps/kxkb.png

# systemsettings
%attr(755,root,root) %{_bindir}/systemsettings
%{_datadir}/apps/systemsettings
%{_datadir}/kde4/services/settings-about-me.desktop
%{_datadir}/kde4/services/settings-accessibility.desktop
%{_datadir}/kde4/services/settings-advanced-user-settings.desktop
%{_datadir}/kde4/services/settings-advanced.desktop
%{_datadir}/kde4/services/settings-appearance.desktop
%{_datadir}/kde4/services/settings-bluetooth.desktop
%{_datadir}/kde4/services/settings-computer-administration.desktop
%{_datadir}/kde4/services/settings-desktop.desktop
%{_datadir}/kde4/services/settings-display.desktop
%{_datadir}/kde4/services/settings-general.desktop
%{_datadir}/kde4/services/settings-keyboard-and-mouse.desktop
%{_datadir}/kde4/services/settings-look-and-feel.desktop
%{_datadir}/kde4/services/settings-network-and-connectivity.desktop
%{_datadir}/kde4/services/settings-network-settings.desktop
%{_datadir}/kde4/services/settings-notifications.desktop
%{_datadir}/kde4/services/settings-personal.desktop
%{_datadir}/kde4/services/settings-regional-and-language.desktop
%{_datadir}/kde4/services/settings-sharing.desktop
%{_datadir}/kde4/services/settings-system.desktop
%{_datadir}/kde4/services/settings-window-behaviour.desktop
%{_datadir}/kde4/servicetypes/systemsettingscategory.desktop
%{_desktopdir}/kde4/systemsettings.desktop
%{_kdedocdir}/en/systemsettings

# themes
%{_datadir}/apps/kconf_update/mouse_cursor_theme.upd
%{_datadir}/apps/kthememanager
%{_datadir}/apps/desktoptheme/default/widgets/

# styles
%attr(755,root,root) %{_libdir}/kde4/kcm_style.so
%attr(755,root,root) %{_libdir}/kde4/kstyle_keramik_config.so
%{_datadir}/kde4/services/style.desktop

# powerdevil
%attr(755,root,root) %{_libdir}/kde4/kcm_powerdevilconfig.so
%dir %{_datadir}/apps/powerdevil
%{_datadir}/apps/powerdevil/powerdevil.notifyrc
%{_datadir}/apps/powerdevil/default.powerdevilprofiles
%{_datadir}/kde4/services/powerdevilconfig.desktop
%{_datadir}/dbus-1/interfaces/org.kde.PowerDevil.xml

# nepomuk - FIXME
%attr(755,root,root) %{_libdir}/libnepomukquery.so
%attr(755,root,root) %{_libdir}/libnepomukquery.so.?
%attr(755,root,root) %{_libdir}/libnepomukquery.so.*.*.*
%attr(755,root,root) %{_libdir}/libnepomukqueryclient.so
%attr(755,root,root) %{_libdir}/libnepomukqueryclient.so.?
%attr(755,root,root) %{_libdir}/libnepomukqueryclient.so.*.*.*


# kdisplay
%attr(755,root,root) %{_libdir}/kde4/kcm_display.so
%{_datadir}/apps/kdisplay
%{_datadir}/apps/kconf_update/kcmdisplayrc.upd
%{_datadir}/kde4/services/display.desktop

# kdewizard
#%dir %{_datadir}/apps/kdewizard
#%{_datadir}/apps/kdewizard/tips

# ion
%attr(755,root,root) %{_libdir}/kde4/ion_bbcukmet.so
%attr(755,root,root) %{_libdir}/kde4/ion_envcan.so
%attr(755,root,root) %{_libdir}/kde4/ion_noaa.so
%{_datadir}/kde4/services/ion-bbcukmet.desktop
%{_datadir}/kde4/services/ion-envcan.desktop
%{_datadir}/kde4/services/ion-noaa.desktop
%{_datadir}/kde4/servicetypes/weather_ion.desktop

# launch
%attr(755,root,root) %{_libdir}/kde4/kcm_launch.so
%{_datadir}/config.kcfg/klaunch.kcfg
%{_datadir}/kde4/services/kcmlaunch.desktop

# access
%attr(755,root,root) %{_libdir}/kde4/kcm_access.so
%{_datadir}/kde4/services/kcmaccess.desktop

# bell
%attr(755,root,root) %{_libdir}/kde4/kcm_bell.so
%{_datadir}/kde4/services/bell.desktop

# clock
%attr(755,root,root) %{_libdir}/kde4/kcm_clock.so
%{_datadir}/kde4/services/clock.desktop

# fontthumbnail
%attr(755,root,root) %{_libdir}/kde4/fontthumbnail.so
%{_datadir}/kde4/services/fontthumbnail.desktop

# colors
%attr(755,root,root) %{_libdir}/kde4/kcm_colors.so
%{_datadir}/kde4/services/colors.desktop
%{_datadir}/apps/color-schemes

# energy
%attr(755,root,root) %{_libdir}/kde4/kcm_energy.so
%{_datadir}/kde4/services/energy.desktop

# randr
%{_datadir}/kde4/services/randr.desktop
%attr(755,root,root) %{_libdir}/kde4/kcm_randr.so

# smserver
%attr(755,root,root) %{_libdir}/kde4/kcm_smserver.so
%{_datadir}/kde4/services/kcmsmserver.desktop

# xinerama
%attr(755,root,root) %{_libdir}/kde4/kcm_xinerama.so
%attr(755,root,root) %{_libdir}/kde4/libexec/test_kcm_xinerama
%{_datadir}/kde4/services/xinerama.desktop

# input, hw
%attr(755,root,root) %{_libdir}/kde4/kcm_input.so
%attr(755,root,root) %{_libdir}/kde4/kcm_joystick.so
%attr(755,root,root) %{_libdir}/kde4/kcm_keyboard.so
%attr(755,root,root) %{_libdir}/kde4/kcm_keyboard_layout.so
%attr(755,root,root) %{_libdir}/kde4/kcm_keys.so
%{_datadir}/apps/kcminput/cursor_large_black.pcf.gz
%{_datadir}/apps/kcminput/cursor_large_white.pcf.gz
%{_datadir}/apps/kcminput/cursor_small_white.pcf.gz
%{_datadir}/apps/kcminput/pics/mouse_lh.png
%{_datadir}/apps/kcminput/pics/mouse_rh.png
# ?
%attr(755,root,root) %{_libdir}/kde4/kded_networkstatus.so
%attr(755,root,root) %{_libdir}/kde4/kded_powerdevil.so
%attr(755,root,root) %{_libdir}/kde4/libexec/krootimage
%attr(755,root,root) %{_libdir}/kde4/libexec/kcmdatetimehelper

# session
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/kcheckpass
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/kscreensaver
%attr(755,root,root) %{_bindir}/kde4-session
%attr(755,root,root) %{_libdir}/kde4/libexec/kcheckpass

# lsofui
%attr(755,root,root) %{_libdir}/liblsofui.so.?
%attr(755,root,root) %{_libdir}/liblsofui.so.*.*.*

#old core
%exclude %{_iconsdir}/oxygen/scalable
%dir %{_iconsdir}/oxygen/*/mimetypes
%dir %{_datadir}/apps/kcminput
%dir %{_datadir}/apps/kcminput/pics

%{_datadir}/apps/kconf_update/kaccel.upd
%{_datadir}/apps/kconf_update/konqueror_gestures_kde321_update.upd
%{_datadir}/apps/kconf_update/kwin3_plugin.upd
%attr(755,root,root) %{_datadir}/apps/kconf_update/convertShortcuts.pl
%attr(755,root,root) %{_datadir}/apps/kconf_update/kwin3_plugin.pl
%attr(755,root,root) %{_datadir}/apps/kconf_update/move_session_config.sh
%attr(755,root,root) %{_datadir}/apps/kconf_update/on-off_to_true-false.sh
%attr(755,root,root) %{_datadir}/apps/kconf_update/pluginlibFix.pl
%{_datadir}/config/background.knsrc
%{_datadir}/config/colorschemes.knsrc
%{_datadir}/config/wallpaper.knsrc
%{_iconsdir}/*/*/apps/kcmkwm.png
%{_iconsdir}/*/*/apps/computer.png
%{_iconsdir}/*/*/apps/daemon.png
%{_iconsdir}/*/*/apps/kdeapp.png
%{_iconsdir}/*/*/apps/kernel.png
%{_iconsdir}/*/*/apps/running.png
%{_iconsdir}/*/*/apps/shell.png
%{_iconsdir}/*/*/apps/unknownapp.png
%{_iconsdir}/*/*/apps/waiting.png

%{_datadir}/kde4/services/desktop.desktop
%{_datadir}/kde4/services/joystick.desktop
%{_datadir}/kde4/services/kded/networkstatus.desktop
%{_datadir}/kde4/services/kded/powerdevil.desktop
%{_datadir}/kde4/services/keyboard.desktop
%{_datadir}/kde4/services/keyboard_layout.desktop
%{_datadir}/kde4/services/keys.desktop
%{_datadir}/kde4/services/mouse.desktop
%{_datadir}/sounds/pop.wav
# old decoration libs
%attr(755,root,root) %{_libdir}/libkdecorations.so.*
%attr(755,root,root) %{_libdir}/kde4/kcm_kwindecoration.so
%{_datadir}/kde4/services/kwindecoration.desktop
# kephal
%attr(755,root,root) %{_libdir}/kde4/kded_kephal.so
%attr(755,root,root) %{_libdir}/libkephal.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkephal.so.?
%{_datadir}/kde4/services/kded/kded_kephal.desktop
%{_datadir}/config.kcfg/plasma-shell-desktop.kcfg

%files libksgrd
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libksgrd.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkephal.so
%attr(755,root,root) %{_libdir}/libkdecorations.so
%attr(755,root,root) %{_libdir}/libkfontinst.so
%attr(755,root,root) %{_libdir}/libkfontinstui.so
%attr(755,root,root) %{_libdir}/libkscreensaver.so
%attr(755,root,root) %{_libdir}/libksgrd.so
%attr(755,root,root) %{_libdir}/libkwineffects.so
%attr(755,root,root) %{_libdir}/libkwinnvidiahack.so
%attr(755,root,root) %{_libdir}/libkworkspace.so
%attr(755,root,root) %{_libdir}/libplasmaclock.so
%attr(755,root,root) %{_libdir}/libprocesscore.so
%attr(755,root,root) %{_libdir}/libprocessui.so
%attr(755,root,root) %{_libdir}/libsolidcontrol.so
%attr(755,root,root) %{_libdir}/libsolidcontrolifaces.so
%attr(755,root,root) %{_libdir}/libtaskmanager.so
%attr(755,root,root) %{_libdir}/libweather_ion.so
%attr(755,root,root) %{_libdir}/liblsofui.so
%{_libdir}/KDE4Workspace-4.2.2
%{_includedir}/KDE/Plasma/Weather
%{_includedir}/plasma/weather
%{_includedir}/*.h
%{_includedir}/kephal
%{_includedir}/kworkspace
%{_includedir}/ksgrd
%{_includedir}/ksysguard
%{_includedir}/solid
%{_includedir}/taskmanager
%{_includedir}/nepomuk
%{_includedir}/plasmaclock
%{_datadir}/apps/cmake/modules/*.cmake

%files kfontinst
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kfontinst
%attr(755,root,root) %{_bindir}/kfontview
%attr(755,root,root) %{_libdir}/libkfontinst.so.*
%attr(755,root,root) %{_libdir}/libkfontinstui.so.*
%attr(755,root,root) %{_libdir}/kde4/kcm_fontinst.so
%attr(755,root,root) %{_libdir}/kde4/kcm_fonts.so
%attr(755,root,root) %{_libdir}/kde4/kfontviewpart.so
%attr(755,root,root) %{_libdir}/kde4/kio_fonts.so
%attr(755,root,root) %{_libdir}/kde4/libexec/kfontprint
%attr(755,root,root) %{_libdir}/kde4/libexec/kio_fonts_helper
%dir %{_libdir}/strigi
%attr(755,root,root) %{_libdir}/strigi/strigita_font.so
%{_desktopdir}/kde4/kfontview.desktop
%{_datadir}/apps/kfontinst
%{_datadir}/apps/kfontview
%{_datadir}/apps/konqsidebartng/virtual_folders/services/fonts.desktop
%{_datadir}/kde4/services/ServiceMenus/installfont.desktop
%{_datadir}/kde4/services/fontinst.desktop
%{_datadir}/kde4/services/fonts.desktop
%{_datadir}/kde4/services/fonts.protocol
%{_datadir}/kde4/services/kfontviewpart.desktop
%{_iconsdir}/*/*/apps/kfontview.png
%{_iconsdir}/*/*/mimetypes/fonts-package.png

%files klipper
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/klipper
%attr(755,root,root) %{_libdir}/libkdeinit4_klipper.so
%{_datadir}/autostart/klipper.desktop
%{_datadir}/config/klipperrc
%{_desktopdir}/kde4/klipper.desktop
%lang(en) %{_kdedocdir}/en/klipper

%files ksysguard
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ksysguarddrc
%attr(755,root,root) %{_bindir}/ksysguard
%attr(755,root,root) %{_bindir}/ksysguardd
%attr(755,root,root) %{_libdir}/libkdeinit4_ksysguard.so
%attr(755,root,root) %{_libdir}/kde4/plugins/designer/ksysguardwidgets.so
%attr(755,root,root) %{_libdir}/kde4/plugins/designer/ksysguardlsofwidgets.so
%{_desktopdir}/kde4/ksysguard.desktop
%{_datadir}/apps/ksysguard
%{_iconsdir}/*/*/apps/ksysguardd.png
%{_datadir}/config/ksysguard.knsrc
%lang(en) %{_kdedocdir}/en/ksysguard

%files kwin
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kwin
%attr(755,root,root) %{_bindir}/kwin_killer_helper
%attr(755,root,root) %{_bindir}/kwin_rules_dialog
%attr(755,root,root) %{_libdir}/libkwineffects.so.*
%attr(755,root,root) %{_libdir}/libkwinnvidiahack.so.*
%attr(755,root,root) %{_libdir}/libkdeinit4_kwin.so
%attr(755,root,root) %{_libdir}/libkdeinit4_kwin_rules_dialog.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kwin4_effect_builtins.so
#%attr(755,root,root) %{_libdir}/kde4/kcm_kwin4_effect_videorecord.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kwincompositing.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kwindesktop.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kwinoptions.so
%attr(755,root,root) %{_libdir}/kde4/kcm_kwinrules.so
%attr(755,root,root) %{_libdir}/kde4/kcm_desktopthemedetails.so
%attr(755,root,root) %{_libdir}/kde4/kwin4_effect_builtins.so
#%attr(755,root,root) %{_libdir}/kde4/kwin4_effect_videorecord.so
%attr(755,root,root) %{_libdir}/kde4/kwin_oxygen_config.so
%attr(755,root,root) %{_libdir}/kconf_update_bin/kwin_update_default_rules
%attr(755,root,root) %{_libdir}/kconf_update_bin/kwin_update_window_settings
%attr(755,root,root) %{_libdir}/kconf_update_bin/plasma-add-shortcut-to-menu
%dir %{_datadir}/apps/kwin
%{_datadir}/apps/kwin/blur-render.frag
%{_datadir}/apps/kwin/blur-render.vert
%{_datadir}/apps/kwin/blur.frag
%{_datadir}/apps/kwin/blur.vert
%{_datadir}/apps/kwin/circle-edgy.png
%{_datadir}/apps/kwin/circle.png
%{_datadir}/apps/kwin/snowflake.png
%dir %{_datadir}/apps/kwin/default_rules
%{_datadir}/apps/kwin/default_rules/fsp_workarounds_1.kwinrules
%{_datadir}/apps/kwin/explosion-end.png
%{_datadir}/apps/kwin/explosion-start.png
%{_datadir}/apps/kwin/explosion.frag
%{_datadir}/apps/kwin/explosion.vert
%{_datadir}/apps/kwin/invert.frag
%{_datadir}/apps/kwin/invert.vert
%{_datadir}/apps/kwin/kwin.notifyrc
%{_datadir}/apps/kwin/lookingglass.frag
%{_datadir}/apps/kwin/lookingglass.vert
%{_datadir}/apps/kwin/shadow-texture.png
%{_datadir}/apps/kwin/sharpen.frag
%{_datadir}/apps/kwin/sharpen.vert
%{_datadir}/apps/kwin/trackmouse.png
%{_datadir}/apps/kwin/cubecap.png
%{_datadir}/apps/kwin/cylinder.frag
%{_datadir}/apps/kwin/cylinder.vert
%{_datadir}/apps/kwin/sphere.vert
%{_datadir}/apps/kwin/snow.frag
%{_datadir}/apps/kwin/snow.vert
%{_datadir}/config.kcfg/kwin.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.KWin.xml
%dir %{_datadir}/kde4/services/kwin
%{_datadir}/kde4/services/desktopthemedetails.desktop
%{_datadir}/kde4/services/kwin/blur.desktop
%{_datadir}/kde4/services/kwin/boxswitch.desktop
%{_datadir}/kde4/services/kwin/boxswitch_config.desktop
%{_datadir}/kde4/services/kwin/coverswitch.desktop
%{_datadir}/kde4/services/kwin/coverswitch_config.desktop
%{_datadir}/kde4/services/kwin/cylinder_config.desktop
%{_datadir}/kde4/services/kwin/desktopgrid.desktop
%{_datadir}/kde4/services/kwin/desktopgrid_config.desktop
%{_datadir}/kde4/services/kwin/dialogparent.desktop
%{_datadir}/kde4/services/kwin/diminactive.desktop
%{_datadir}/kde4/services/kwin/diminactive_config.desktop
%{_datadir}/kde4/services/kwin/dimscreen.desktop
%{_datadir}/kde4/services/kwin/explosion.desktop
%{_datadir}/kde4/services/kwin/fade.desktop
%{_datadir}/kde4/services/kwin/fallapart.desktop
%{_datadir}/kde4/services/kwin/invert.desktop
%{_datadir}/kde4/services/kwin/invert_config.desktop
%{_datadir}/kde4/services/kwin/login.desktop
%{_datadir}/kde4/services/kwin/logout.desktop
%{_datadir}/kde4/services/kwin/lookingglass.desktop
%{_datadir}/kde4/services/kwin/lookingglass_config.desktop
%{_datadir}/kde4/services/kwin/magnifier.desktop
%{_datadir}/kde4/services/kwin/magnifier_config.desktop
%{_datadir}/kde4/services/kwin/maketransparent.desktop
%{_datadir}/kde4/services/kwin/maketransparent_config.desktop
%{_datadir}/kde4/services/kwin/minimizeanimation.desktop
%{_datadir}/kde4/services/kwin/mousemark.desktop
%{_datadir}/kde4/services/kwin/mousemark_config.desktop
%{_datadir}/kde4/services/kwin/presentwindows.desktop
%{_datadir}/kde4/services/kwin/presentwindows_config.desktop
%{_datadir}/kde4/services/kwin/scalein.desktop
%{_datadir}/kde4/services/kwin/shadow.desktop
%{_datadir}/kde4/services/kwin/shadow_config.desktop
%{_datadir}/kde4/services/kwin/sharpen.desktop
%{_datadir}/kde4/services/kwin/sharpen_config.desktop
%{_datadir}/kde4/services/kwin/showfps.desktop
%{_datadir}/kde4/services/kwin/showpaint.desktop
%{_datadir}/kde4/services/kwin/slide.desktop
%{_datadir}/kde4/services/kwin/sphere_config.desktop
%{_datadir}/kde4/services/kwin/thumbnailaside.desktop
%{_datadir}/kde4/services/kwin/thumbnailaside_config.desktop
%{_datadir}/kde4/services/kwin/trackmouse.desktop
%{_datadir}/kde4/services/kwin/trackmouse_config.desktop
#%{_datadir}/kde4/services/kwin/videorecord.desktop
#%{_datadir}/kde4/services/kwin/videorecord_config.desktop
%{_datadir}/kde4/services/kwin/zoom.desktop
%{_datadir}/kde4/services/kwin/zoom_config.desktop
%{_datadir}/kde4/services/kwinactions.desktop
%{_datadir}/kde4/services/kwinadvanced.desktop
%{_datadir}/kde4/services/kwincompositing.desktop
%{_datadir}/kde4/services/kwinfocus.desktop
%{_datadir}/kde4/services/kwinmoving.desktop
%{_datadir}/kde4/services/kwinoptions.desktop
%{_datadir}/kde4/services/kwinrules.desktop
%{_datadir}/kde4/services/kwin/flipswitch.desktop
%{_datadir}/kde4/services/kwin/flipswitch_config.desktop
%{_datadir}/kde4/services/kwin/snow.desktop
%{_datadir}/kde4/services/kwin/snow_config.desktop
%{_datadir}/kde4/services/kwin/showfps_config.desktop
%{_datadir}/kde4/services/kwin/wobblywindows.desktop
%{_datadir}/kde4/services/kwin/wobblywindows_config.desktop
%{_datadir}/kde4/services/kwin/cube.desktop
%{_datadir}/kde4/services/kwin/cube_config.desktop
%{_datadir}/kde4/services/kwin/cylinder.desktop
%{_datadir}/kde4/services/kwin/magiclamp.desktop
%{_datadir}/kde4/services/kwin/sphere.desktop
%{_datadir}/kde4/services/kwin/taskbarthumbnail.desktop
%{_datadir}/kde4/servicetypes/kwineffect.desktop
%{_datadir}/apps/kconf_update/plasma-add-shortcut-to-menu.upd
%{_datadir}/apps/kconf_update/krdb.upd
%{_datadir}/apps/kconf_update/kwin.upd
%{_datadir}/apps/kconf_update/kwin_focus1.sh
%{_datadir}/apps/kconf_update/kwin_focus1.upd
%{_datadir}/apps/kconf_update/kwin_focus2.sh
%{_datadir}/apps/kconf_update/kwin_focus2.upd
%{_datadir}/apps/kconf_update/kwin_fsp_workarounds_1.upd
%{_datadir}/apps/kconf_update/kwin_on_off.upd
%{_datadir}/apps/kconf_update/kwin_window_shortcuts.sh
%{_datadir}/apps/kconf_update/kwin_window_shortcuts.upd
%{_datadir}/apps/kconf_update/kwiniconify.upd
%{_datadir}/apps/kconf_update/kwinsticky.upd
%{_datadir}/apps/kconf_update/kwinupdatewindowsettings.upd
%{_datadir}/apps/kconf_update/khotkeys_printscreen.upd
%{_iconsdir}/oxygen/16x16/apps/kwin.png
%{_iconsdir}/oxygen/32x32/apps/kwin.png
%{_iconsdir}/oxygen/48x48/apps/kwin.png
%{_iconsdir}/Oxygen_Black
%{_iconsdir}/Oxygen_Black_Big
%{_iconsdir}/Oxygen_Blue
%{_iconsdir}/Oxygen_Blue_Big
%{_iconsdir}/Oxygen_White
%{_iconsdir}/Oxygen_White_Big
%{_iconsdir}/Oxygen_Yellow
%{_iconsdir}/Oxygen_Yellow_Big
%{_iconsdir}/Oxygen_Zion
%{_iconsdir}/Oxygen_Zion_Big

%files plasma
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/plasma
%attr(755,root,root) %{_bindir}/plasmaengineexplorer
%attr(755,root,root) %{_bindir}/plasmapkg
%attr(755,root,root) %{_bindir}/plasmoidviewer
%attr(755,root,root) %{_bindir}/plasma-overlay
%attr(755,root,root) %{_libdir}/libkdeinit4_plasma.so
%attr(755,root,root) %{_libdir}/kde4/plasma_animator_default.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_battery.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_clock.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_devicenotifier.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_dig_clock.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_icon.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_launcher.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_lockout.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_pager.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_quicklaunch.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_simplelauncher.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_systemtray.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_tasks.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_trash.so
%attr(755,root,root) %{_libdir}/kde4/plasma_appletscript_qedje.so
%attr(755,root,root) %{_libdir}/kde4/plasma_appletscript_simple_javascript.so
%attr(755,root,root) %{_libdir}/kde4/plasma_appletscriptengine_dashboard.so
%attr(755,root,root) %{_libdir}/kde4/plasma_appletscriptengine_webapplet.so
%attr(755,root,root) %{_libdir}/kde4/plasma_package_qedje.so
%attr(755,root,root) %{_libdir}/kde4/plasma_packagestructure_dashboard.so
%attr(755,root,root) %{_libdir}/kde4/plasma_packagestructure_web.so
%attr(755,root,root) %{_libdir}/kde4/plasma_containment_desktop.so
%attr(755,root,root) %{_libdir}/kde4/plasma_containment_midpanel.so
%attr(755,root,root) %{_libdir}/kde4/plasma_containment_panel.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_dict.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_executable.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_filebrowser.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_hotplug.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_mouse.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_network.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_places.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_powermanagement.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_rss.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_soliddevice.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_tasks.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_time.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_weather.so
%attr(755,root,root) %{_libdir}/kde4/plasma_containment_saverdesktop.so
%attr(755,root,root) %{_libdir}/kde4/plasma_wallpaper_color.so
%attr(755,root,root) %{_libdir}/kde4/plasma_wallpaper_image.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_activitybar.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_calendar.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_sm_cpu.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_sm_hdd.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_sm_hwinfo.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_sm_net.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_sm_temperature.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_system-monitor.so
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_webbrowser.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_applicationjobs.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_favicons.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_notifications.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_nowplaying.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_systemmonitor.so
%attr(755,root,root) %{_libdir}/kde4/plasma_package_ggl.so
%attr(755,root,root) %{_libdir}/kde4/plasma_runnerscript_javascript.so
%attr(755,root,root) %{_libdir}/kde4/plasma_scriptengine_ggl.so
%{_datadir}/apps/plasma/plasmoids
%attr(755,root,root) %{_libdir}/libplasma_applet-system-monitor.so.*
%{_libdir}/libplasma_applet-system-monitor.so
%dir %{_datadir}/apps/kwin/default_rules
%{_datadir}/apps/kwin/default_rules/plasma_desktop_containment.kwinrules
%dir %{_datadir}/apps/plasma
%{_datadir}/apps/plasma/dashboard
%{_datadir}/autostart/plasma.desktop
%{_datadir}/config/plasma-themes.knsrc
%{_datadir}/config/plasma-overlayrc
%dir %{_datadir}/apps/plasma_scriptengine_ruby
%{_datadir}/apps/plasma_scriptengine_ruby/applet.rb
%{_datadir}/apps/plasma_scriptengine_ruby/data_engine.rb
%{_datadir}/kde4/services/plasma-scriptengine-ruby-applet.desktop
%{_datadir}/kde4/services/plasma-scriptengine-ruby-dataengine.desktop
%dir %{_datadir}/apps/plasma/services
%{_datadir}/apps/plasma/services/applicationjobs.operations
%{_datadir}/apps/plasma/services/notifications.operations
%{_datadir}/apps/plasma/services/nowplaying.operations
%{_datadir}/apps/plasma/services/tasks.operations
%{_datadir}/kde4/services/plasma-animator-default.desktop
%{_datadir}/kde4/services/plasma-applet-analogclock.desktop
%{_datadir}/kde4/services/plasma-applet-devicenotifier.desktop
%{_datadir}/kde4/services/plasma-applet-digitalclock.desktop
%{_datadir}/kde4/services/plasma-applet-icon.desktop
%{_datadir}/kde4/services/plasma-applet-launcher.desktop
%{_datadir}/kde4/services/plasma-applet-lockout.desktop
%{_datadir}/kde4/services/plasma-applet-quicklaunch.desktop
%{_datadir}/kde4/services/plasma-applet-simplelauncher.desktop
%{_datadir}/kde4/services/plasma-applet-systemtray.desktop
%{_datadir}/kde4/services/plasma-applet-trash.desktop
%{_datadir}/kde4/services/plasma-applet-activitybar.desktop
%{_datadir}/kde4/services/plasma-applet-calendar.desktop
%{_datadir}/kde4/services/plasma-appletscript-qedje.desktop
%{_datadir}/kde4/services/plasma-applet-sm_cpu.desktop
%{_datadir}/kde4/services/plasma-applet-sm_hdd.desktop
%{_datadir}/kde4/services/plasma-applet-sm_hwinfo.desktop
%{_datadir}/kde4/services/plasma-applet-sm_net.desktop
%{_datadir}/kde4/services/plasma-applet-sm_temperature.desktop
%{_datadir}/kde4/services/plasma-applet-system-monitor.desktop
%{_datadir}/kde4/services/plasma-applet-webbrowser.desktop
%{_datadir}/kde4/services/plasma-dataengine-applicationjobs.desktop
%{_datadir}/kde4/services/plasma-dataengine-favicons.desktop
%{_datadir}/kde4/services/plasma-dataengine-notifications.desktop
%{_datadir}/kde4/services/plasma-dataengine-nowplaying.desktop
%{_datadir}/kde4/services/plasma-dataengine-systemmonitor.desktop
%{_datadir}/kde4/services/plasma-packagestructure-dashboard.desktop
%{_datadir}/kde4/services/plasma-packagestructure-qedje.desktop
%{_datadir}/kde4/services/plasma-packagestructure-web.desktop
%{_datadir}/kde4/services/plasma-scriptengine-applet-dashboard.desktop
%{_datadir}/kde4/services/plasma-scriptengine-applet-web.desktop
%{_datadir}/kde4/services/plasma-scriptengine-applet-simple-javascript.desktop
%{_datadir}/kde4/services/plasma-battery-default.desktop
%{_datadir}/kde4/services/plasma-containment-midpanel.desktop
%{_datadir}/kde4/services/plasma-containment-desktop.desktop
%{_datadir}/kde4/services/plasma-containment-panel.desktop
%{_datadir}/kde4/services/plasma-dataengine-executable.desktop
%{_datadir}/kde4/services/plasma-dataengine-dict.desktop
%{_datadir}/kde4/services/plasma-dataengine-filebrowser.desktop
%{_datadir}/kde4/services/plasma-dataengine-hotplug.desktop
%{_datadir}/kde4/services/plasma-dataengine-mouse.desktop
%{_datadir}/kde4/services/plasma-dataengine-network.desktop
%{_datadir}/kde4/services/plasma-dataengine-places.desktop
%{_datadir}/kde4/services/plasma-dataengine-powermanagement.desktop
%{_datadir}/kde4/services/plasma-dataengine-rss.desktop
%{_datadir}/kde4/services/plasma-dataengine-soliddevice.desktop
%{_datadir}/kde4/services/plasma-dataengine-tasks.desktop
%{_datadir}/kde4/services/plasma-dataengine-time.desktop
%{_datadir}/kde4/services/plasma-dataengine-weather.desktop
%{_datadir}/kde4/services/plasma-pager-default.desktop
%{_datadir}/kde4/services/plasma-runner-bookmarks.desktop
%{_datadir}/kde4/services/plasma-runner-calculator.desktop
%{_datadir}/kde4/services/plasma-runner-locations.desktop
%{_datadir}/kde4/services/plasma-runner-webshortcuts.desktop
%{_datadir}/kde4/services/plasma-runner-places.desktop
%{_datadir}/kde4/services/plasma-runner-powerdevil.desktop
%{_datadir}/kde4/services/plasma-runner-services.desktop
%{_datadir}/kde4/services/plasma-runner-sessions.desktop
%{_datadir}/kde4/services/plasma-runner-shell.desktop
%{_datadir}/kde4/services/plasma-tasks-default.desktop
%{_datadir}/kde4/services/plasma-containment-saverdesktop.desktop
%{_datadir}/kde4/services/plasma-wallpaper-color.desktop
%{_datadir}/kde4/services/plasma-wallpaper-image.desktop
%{_datadir}/kde4/services/plasma-applet-ggl-photos.desktop
%{_datadir}/kde4/services/plasma-applet-ggl-rss.desktop
%{_datadir}/kde4/services/plasma-packagestructure-googlegadgets.desktop
%{_datadir}/kde4/services/plasma-scriptengine-googlegadgets.desktop
%{_datadir}/kde4/services/plasma-scriptengine-runner-javascript.desktop
%dir %{_datadir}/apps/desktoptheme/default/system-monitor
%{_datadir}/apps/desktoptheme/default/system-monitor/hdd_panel.svgz
%dir %{_datadir}/apps/desktoptheme/default/calendar
%{_datadir}/apps/desktoptheme/default/calendar/mini-calendar.svgz
%lang(en) %{_kdedocdir}/en/plasma

%files screensavers
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*.kss
%attr(755,root,root) %{_libdir}/libkscreensaver.so.*
%attr(755,root,root) %{_libdir}/kde4/kcm_screensaver.so
%{_datadir}/config.kcfg/kscreensaversettings.kcfg
%{_datadir}/dbus-1/interfaces/org.freedesktop.ScreenSaver.xml
%{_datadir}/dbus-1/interfaces/org.kde.screensaver.xml
%{_datadir}/kde4/services/ScreenSavers
%{_datadir}/kde4/services/screensaver.desktop
%{_datadir}/kde4/servicetypes/screensaver.desktop

%files solid
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/solid-bluetooth
%attr(755,root,root) %{_bindir}/solid-network
%attr(755,root,root) %{_bindir}/solid-powermanagement
%attr(755,root,root) %{_libdir}/libsolidcontrol.so.*
%attr(755,root,root) %{_libdir}/libsolidcontrolifaces.so.*
%attr(755,root,root) %{_libdir}/kde4/kcm_solid.so
%attr(755,root,root) %{_libdir}/kde4/solid_fakenet.so
%attr(755,root,root) %{_libdir}/kde4/solid_hal_power.so
%attr(755,root,root) %{_libdir}/kde4/solid_bluez.so
%dir %{_datadir}/apps/solid
%dir %{_datadir}/apps/solid/actions
%dir %{_datadir}/apps/solidfakenetbackend
%{_datadir}/apps/solid/actions/test-predicate-openinwindow.desktop
%{_datadir}/apps/solidfakenetbackend/fakenetworking.xml
%{_datadir}/kde4/services/kcm_solid.desktop
%{_datadir}/kde4/services/solidbackends
%{_datadir}/kde4/servicetypes/solidbluetoothmanager.desktop
%{_datadir}/kde4/servicetypes/solidnetworkmanager.desktop
%{_datadir}/kde4/servicetypes/solidpowermanager.desktop

%files networkmanager
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/solid_networkmanager07.so
%{_iconsdir}/*/*x*/apps/networkmanager.png

%files kwrited
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kded_kwrited.so
%{_datadir}/kde4/services/kded/kwrited.desktop
%dir %{_datadir}/apps/kwrited
%{_datadir}/apps/kwrited/kwrited.notifyrc

%files wallpapers
%defattr(644,root,root,755)
%{_datadir}/wallpapers/Air
%{_datadir}/wallpapers/Blue_Curl
%{_datadir}/wallpapers/Code_Poets_Dream
%{_datadir}/wallpapers/Curls_on_Green
%{_datadir}/wallpapers/EOS
%{_datadir}/wallpapers/Fields_of_Peace
%{_datadir}/wallpapers/Finally_Summer_in_Germany
%{_datadir}/wallpapers/Flower_drops
%{_datadir}/wallpapers/Fresh_Morning
%{_datadir}/wallpapers/HighTide
%{_datadir}/wallpapers/Ladybuggin
%{_datadir}/wallpapers/Plasmalicious
%{_datadir}/wallpapers/Red_Leaf
%{_datadir}/wallpapers/There_is_Rain_on_the_Table
%{_datadir}/wallpapers/Vector_Sunset
%{_datadir}/wallpapers/default_blue.jpg
%{_datadir}/wallpapers/default_blue.jpg.desktop

%files -n kde4-kdm
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/kdm
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/kdm-np
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/kde
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/security/blacklist.kdm
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/kdm
%dir /etc/X11/kdm
%config(noreplace) %verify(not md5 mtime size) /etc/X11/kdm/kdmrc
%config(noreplace) %verify(not md5 mtime size) /etc/X11/kdm/backgroundrc
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/X11/kdm/Xreset
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/X11/kdm/Xsession
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/X11/kdm/Xsetup
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/X11/kdm/Xstartup
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/X11/kdm/Xwilling
%config(noreplace) %verify(not md5 mtime size) /etc/X11/kdm/Xaccess
%attr(754,root,root) /etc/rc.d/init.d/kdm
%attr(755,root,root) %{_bindir}/genkdmconf
%attr(755,root,root) %{_bindir}/kdm
%attr(755,root,root) %{_bindir}/kdmctl
%attr(755,root,root) %{_libdir}/kde4/kcm_kdm.so
%attr(755,root,root) %{_libdir}/kde4/libexec/kdm_config
%attr(755,root,root) %{_libdir}/kde4/libexec/kdm_greet
/etc/X11/sessions
# XXX move dir below elsewhere
%dir %{_datadir}/apps/doc
%{_datadir}/apps/doc/kdm
%dir %{_datadir}/apps/kdm
%{_datadir}/apps/kdm/*
%{_datadir}/config/kdm.knsrc
%{_datadir}/kde4/services/kdm.desktop
%{_datadir}/wallpapers/kdm_pld.png
%lang(en) %{_kdedocdir}/en/kdm

%files svg-icons
%defattr(644,root,root,755)
%{_iconsdir}/*/scalable/apps/kcmkwm.svgz
%{_iconsdir}/*/scalable/apps/kfontview.svgz
%{_iconsdir}/*/scalable/apps/preferences-desktop-font-installer.svgz
%{_iconsdir}/*/scalable/mimetypes/fonts-package.svgz
%{_iconsdir}/*/scalable/apps/kwin.svgz

%files -n kde4-decoration-b2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kwin3_b2.so
%attr(755,root,root) %{_libdir}/kde4/kwin_b2_config.so
%{_datadir}/apps/kwin/b2.desktop

%files -n kde4-decoration-kde2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kwin3_kde2.so
%attr(755,root,root) %{_libdir}/kde4/kwin_kde2_config.so
%{_datadir}/apps/kwin/kde2.desktop

%files -n kde4-decoration-keramik
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kwin3_keramik.so
%attr(755,root,root) %{_libdir}/kde4/kwin_keramik_config.so
%{_datadir}/apps/kwin/keramik.desktop

%files -n kde4-decoration-laptop
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kwin3_laptop.so
%{_datadir}/apps/kwin/laptop.desktop

%files -n kde4-decoration-modernsys
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kwin3_modernsys.so
%attr(755,root,root) %{_libdir}/kde4/kwin_modernsys_config.so
%{_datadir}/apps/kwin/modernsystem.desktop

%files -n kde4-decoration-oxygen
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kwin3_oxygen.so
%{_datadir}/apps/kwin/oxygenclient.desktop

%files -n kde4-decoration-ozone
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kwin3_ozone.so
%{_datadir}/apps/kwin/ozoneclient.desktop
%attr(755,root,root) %{_libdir}/kde4/kwin_ozone_config.so

%files -n kde4-decoration-plastic
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kwin3_plastik.so
%attr(755,root,root) %{_libdir}/kde4/kwin_plastik_config.so
%{_datadir}/apps/kwin/plastik.desktop

%files -n kde4-decoration-quartz
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kwin3_quartz.so
%attr(755,root,root) %{_libdir}/kde4/kwin_quartz_config.so
%{_datadir}/apps/kwin/quartz.desktop

%files -n kde4-decoration-redmond
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kwin3_redmond.so
%{_datadir}/apps/kwin/redmond.desktop

%files -n kde4-decoration-web
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kwin3_web.so
%{_datadir}/apps/kwin/web.desktop

%files -n kde4-kgreet-classic
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kgreet_classic.so

%files -n kde4-kgreet-generic
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kgreet_generic.so

%files -n kde4-kgreet-winbind
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kgreet_winbind.so

%files -n kde4-splash-Default
%defattr(644,root,root,755)
%{_datadir}/apps/ksplash/Themes/Default

%files -n kde4-splash-Simple
%defattr(644,root,root,755)
%{_datadir}/apps/ksplash/Themes/Simple

%files -n kde4-splash-SimpleSmall
%defattr(644,root,root,755)
%{_datadir}/apps/ksplash/Themes/SimpleSmall

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kde4-kdebase-workspace.spec,v $
Revision 1.152  2009/03/27 18:18:54  shadzik
- 4.2.2

Revision 1.151  2009/03/20 23:26:03  arekm
- release 10

Revision 1.150  2009/03/11 10:05:15  arekm
add BR soprano-devel

Revision 1.149  2009/03/11 09:47:18  arekm
- apply branch patches

Revision 1.148  2009/03/11 07:53:10  arekm
- add BR strigi-devel

Revision 1.147  2009/03/10 23:36:49  shadzik
- rel 8

Revision 1.146  2009/03/03 13:35:33  shadzik
- new tarball
- rel 7

Revision 1.145  2009/03/02 19:52:34  arekm
- release 6

Revision 1.144  2009/03/02 11:42:42  arekm
- release 5

Revision 1.143  2009/03/02 11:13:47  glen
- avoid future confusion

Revision 1.142  2009/03/02 08:50:51  arekm
- release 4

Revision 1.141  2009/03/02 00:25:58  shadzik
- put sessions into /etc/X11/sessions
- rel 3

Revision 1.140  2009/03/01 20:31:54  arekm
- rel 2; /etc/X11/kdm as in kde3

Revision 1.139  2009/03/01 13:00:55  arekm
- missing bits from kde4

Revision 1.138  2009/02/27 13:35:26  shadzik
- new tarball

Revision 1.137  2009/02/27 13:07:55  shadzik
- 4.2.1

Revision 1.136  2009/02/24 01:47:31  shadzik
- updated branch patch
- rel 11

Revision 1.135  2009/02/21 01:27:09  shadzik
- BR: google-gadgets-qt - stupid but unfortunately, plasma-applet-ggl-photos.desktop will fail to build and others too :/

Revision 1.134  2009/02/20 23:14:07  shadzik
- fix systemsettings to not to ask for root password twice when already exited root priviledged menu
- rel 10

Revision 1.133  2009/02/20 22:19:54  shadzik
- rel 9

Revision 1.132  2009/02/20 12:15:57  shadzik
- release 8

Revision 1.131  2009/02/20 11:53:14  shadzik
- conditional release/debug build (thx glen)

Revision 1.130  2009/02/20 10:48:05  shadzik
- don't be that noisy on terminal output; rel up

Revision 1.129  2009/02/04 19:10:50  shadzik
- solid_bluez.so goes to -solid
- rel 6

Revision 1.128  2009/02/04 13:27:44  shadzik
- add patch1
- rel 5

Revision 1.127  2009/02/03 13:28:06  shadzik
- no videorecord effect right now
- rel 4

Revision 1.126  2009/02/03 13:06:55  shadzik
- add branch.diff
- BR: boost-devel
- rel 3

Revision 1.125  2009/01/27 22:00:39  shadzik
- 4.2.0 stable (merged from DEVEL)

Revision 1.115.2.73  2009/01/22 19:30:09  shadzik
- updated automoc4 BR; rel 2

Revision 1.115.2.72  2009/01/22 15:31:15  shadzik
. updated phonon BR

Revision 1.115.2.71  2009/01/22 11:42:16  shadzik
- 4.2.0

Revision 1.115.2.70  2009/01/08 17:32:49  shadzik
- remove R: kde4-decoration-ozone (it's autorequired already and causes loops)
- rel 3

Revision 1.115.2.69  2009/01/08 15:57:08  shadzik
- rel 2 (rebuild with new ggl)

Revision 1.115.2.68  2009/01/08 10:26:45  shadzik
- use %exclude

Revision 1.115.2.67  2009/01/07 19:15:25  shadzik
- 4.2 RC1
- scalable icons in -svg-icons subpackage (to avoid needless installation of kde4-icons-oxygen-svg)

Revision 1.115.2.66  2009/01/07 18:50:01  shadzik
- 4.2 RC1

Revision 1.115.2.65  2009/01/07 10:36:33  shadzik
- don't own desktoptheme dir
- rel 2

Revision 1.115.2.64  2009/01/05 17:53:39  glen
- revert source url change

Revision 1.115.2.63  2009/01/05 17:42:15  glen
- forced for -decoration-ozone dep due:
  kde4-decoration-ozone-4.1.85-4.x86_64: required "/usr/share/apps/kwin" is provided by following packages:
  a) kde4-kdebase-workspace-kwin-4.1.85-4.x86_64
  b) kdebase-desktop-3.5.10-7.x86_64

Revision 1.115.2.62  2009/01/03 14:09:41  rotom
- up to 4.1.87
- new Source URL

Revision 1.115.2.61  2008/12/17 01:01:11  glen
- can suggest again; rel 4

Revision 1.115.2.60  2008/12/17 00:45:43  glen
- libggadget-qt-devel really; rel 3

Revision 1.115.2.59  2008/12/16 21:03:06  shadzik
- updated ggl BR

Revision 1.115.2.58  2008/12/16 21:01:35  shadzik
- new tarball
- rel 2

Revision 1.115.2.57  2008/12/15 14:44:34  shadzik
- fix ggl BR

Revision 1.115.2.56  2008/12/15 14:41:38  shadzik
- 4.1.85

Revision 1.115.2.55  2008/12/08 14:44:53  paszczus
- updated to 4.1.82
- updated BR: google-gadgets-for-linux 0.10.4 rev 1028

Revision 1.115.2.54  2008/12/07 01:01:59  glen
- google gadgets is not optional (at least due current packaging):
  google-gadgets-for-linux-0.10.4-0.r1015.1.x86_64 marks kde4-kdebase-workspace-plasma-4.1.81-1.x86_64 (req libggadget-1.0.so.0()(64bit))

Revision 1.115.2.53  2008/11/29 03:30:39  shadzik
- 4.1.81
- delete patch1 - better fix upstream
- -plasma S: google-gadgets-for-linux-gadgets

Revision 1.115.2.52  2008/11/28 11:33:19  shadzik
- removed python files from packaging (misplaced and there's not BR for that either [probably one from kdebindings])

Revision 1.115.2.51  2008/11/27 16:53:29  cactus
- added patch for ggl
- BR: rpm-pythonprov
- ggl support should compile fine now
- rel. 3

Revision 1.115.2.50  2008/11/26 23:34:19  shadzik
- update ggl BR

Revision 1.115.2.49  2008/11/26 22:12:39  cactus
- BR: python-sip-devel (for python plasma scriptengine)

Revision 1.115.2.48  2008/11/26 22:10:07  cactus
- BR: ConsoleKit-devel (ck-connector)

Revision 1.115.2.47  2008/11/26 19:39:21  shadzik
- missing dir
- rel 2

Revision 1.115.2.46  2008/11/26 19:35:54  shadzik
- 4.2 beta1

Revision 1.115.2.45  2008/11/19 01:30:12  shadzik
- ehm, typo in google-gadgets BR

Revision 1.115.2.44  2008/11/19 01:27:49  shadzik
- add google-gadgets support
- rel 2

Revision 1.115.2.43  2008/11/19 00:25:14  shadzik
- BR: kde4-kdepimlibs-devel (libsyndication.so for plasma_engine_rss)

Revision 1.115.2.42  2008/11/14 09:03:17  paszczus
- removed find_lang from spec to do not own dir which not belongs to it
- adaptarized

Revision 1.115.2.41  2008/11/14 08:09:57  paszczus
- updated cmake BR

Revision 1.115.2.40  2008/11/14 06:58:45  cactus
- missing files

Revision 1.115.2.39  2008/11/13 17:14:24  cactus
- up to 4.1.73

Revision 1.115.2.38  2008/11/11 16:28:29  shadzik
- own just the insides of kcontrol filder, %find_lang breaks it (thx glen)

Revision 1.115.2.37  2008/11/06 03:49:10  shadzik
- 4.1.72

Revision 1.115.2.36  2008/11/02 18:04:16  shadzik
- BR: qedje-devel and qzion-devel
- add apropriate plasma applets
- rel 3

Revision 1.115.2.35  2008/10/24 17:45:17  shadzik
- so if kwirted is now in workspace, why the hell didn't you obsolete the old kwrited?!
- rel 2

Revision 1.115.2.34  2008/10/23 19:26:20  rotom
- kwrited moved from kde4-kdebase.spec

Revision 1.115.2.33  2008/10/23 18:46:46  rotom
- up to 4.1.71

Revision 1.115.2.32  2008/10/20 08:24:35  shadzik
- oops, fixed stupid mistake in Rs

Revision 1.115.2.31  2008/10/20 08:19:40  shadzik
- updated NetworkManager BR

Revision 1.115.2.30  2008/10/20 08:13:41  shadzik
- remove dir listed twice

Revision 1.115.2.29  2008/10/19 23:56:31  shadzik
- rel 4

Revision 1.115.2.28  2008/10/19 23:44:47  shadzik
- services/kded belongs to kdelibs!!

Revision 1.115.2.27  2008/10/19 21:07:33  shadzik
- minor cleanup

Revision 1.115.2.26  2008/10/19 20:20:58  shadzik
- parent dir not this way
- properly changed, added Rs in splash subpackages

Revision 1.115.2.25  2008/10/19 20:10:54  shadzik
- post&postun for main package

Revision 1.115.2.24  2008/10/19 20:09:42  shadzik
- kde4-kdebase-workspace-kde4-decoration-libs with 1 lib? Please...

Revision 1.115.2.23  2008/10/19 20:02:26  shadzik
- more better changes

Revision 1.115.2.22  2008/10/19 19:51:02  shadzik
- this dir does not belong here

Revision 1.115.2.21  2008/10/19 19:50:22  shadzik
- put old -core packge into main

Revision 1.115.2.20  2008/10/19 19:10:50  paszczus
- and few more

Revision 1.115.2.19  2008/10/19 18:59:40  paszczus
- more parent dirs

Revision 1.115.2.18  2008/10/18 22:24:53  paszczus
- added parent dir

Revision 1.115.2.17  2008/10/18 15:20:57  rotom
- up to 4.1.70

Revision 1.115.2.16  2008/10/10 09:35:35  paszczus
- updated to 4.1.69

Revision 1.115.2.15  2008/10/02 13:35:03  paszczus
- updated to 4.1.68

Revision 1.115.2.14  2008/09/20 12:29:02  paszczus
- updated to 4.1.67; not sure about some files...

Revision 1.115.2.13  2008/09/04 20:18:53  paszczus
- updated to 4.1.65

Revision 1.115.2.12  2008/08/30 22:44:21  shadzik
- 4.1.64

Revision 1.115.2.11  2008/08/23 15:31:11  paszczus
- changed Requires from kde4-phonon-xine to phonon

Revision 1.115.2.10  2008/08/23 13:57:46  shadzik
- reverted
- updated phonon BR

Revision 1.115.2.9  2008/08/23 13:51:51  shadzik
- BR: phonon-xine

Revision 1.115.2.8  2008/08/21 19:40:13  paszczus
- updated to 4.1.63

Revision 1.115.2.7  2008/08/18 21:18:57  shadzik
- banner from kde3

Revision 1.115.2.6  2008/08/17 22:39:32  shadzik
- one more file

Revision 1.115.2.5  2008/08/17 22:27:45  shadzik
- 4.1.62

Revision 1.115.2.4  2008/08/15 11:48:39  shadzik
- cmake fix now in cmake itself

Revision 1.115.2.3  2008/08/10 12:45:02  paszczus
- unifications

Revision 1.115.2.2  2008/08/10 12:02:04  shadzik
- add patch2

Revision 1.115.2.1  2008/08/09 13:58:30  shadzik
- 4.0.61
- more files

Revision 1.115  2008/07/31 15:06:36  arekm
- C: kdebase-kfontinst

Revision 1.114  2008/07/31 13:26:53  arekm
- rel 3; C: kdebase-core

Revision 1.113  2008/07/28 19:18:03  arekm
- rel 2; new tarball

Revision 1.112  2008/07/24 17:23:04  paszczus
- updated to stable 4.1.0

Revision 1.111  2008/07/24 12:57:21  paszczus
- updated to 4.0.99

Revision 1.110  2008/07/22 16:58:38  qboosh
- strict

Revision 1.109  2008/07/22 12:51:24  shadzik
- Requires:       %{name}-core = %{version}
- rel 3

Revision 1.108  2008/07/22 07:19:00  arekm
- C: kdebase-desktop

Revision 1.107  2008/07/17 17:39:03  shadzik
- don't require strict kdelibs-devel version

Revision 1.106  2008/07/15 18:18:03  shadzik
- more %files

Revision 1.105  2008/07/15 17:46:39  shadzik
- -Xstl patch not needed

Revision 1.104  2008/07/15 17:43:30  shadzik
- 4.0.98

Revision 1.103  2008/07/04 07:41:20  paszczus
- updated to 4.0.85
- added new icons directories, but please review that

Revision 1.102  2008/07/01 07:47:04  paszczus
- updated  to 4.0.84
- added 2 wallpapers dirs

Revision 1.101  2008/06/26 17:50:22  shadzik
- one may not want to have kdm but still want to unlock his session ;)
- rel 4

Revision 1.100  2008/06/26 17:36:56  shadzik
- session unlocking pam files readable by all

Revision 1.99  2008/06/26 17:29:16  shadzik
- fix unlocking (this time for real)

Revision 1.98  2008/06/26 10:40:54  shadzik
- add patch2
- rel 2

Revision 1.97  2008/06/26 10:35:17  shadzik
- this should probably make screen unlocking work properly

Revision 1.96  2008/06/25 17:10:45  shadzik
- missing kdm dir

Revision 1.95  2008/06/25 12:43:53  shadzik
- include and own _inludedir/KDE/Plasma

Revision 1.94  2008/06/25 12:40:26  shadzik
- kill stupid -kdelibs-shared BR
- don't own _includedir/KDE - NFY!!

Revision 1.93  2008/06/25 08:11:57  paszczus
- added R: xorg-app-xmessage

Revision 1.92  2008/06/24 19:40:52  shadzik
- BR: automoc4
- changed phonon BR

Revision 1.91  2008/06/24 17:11:15  shadzik
- file: /usr/share/config/plasmoids.knsrc

Revision 1.90  2008/06/24 16:44:25  shadzik
- 4.0.83

Revision 1.89  2008/06/24 10:28:23  shadzik
- reverted paszczus's last change

Revision 1.88  2008/06/24 10:22:48  shadzik
- add -consolekit-kdm.patch
- rel 2

Revision 1.87  2008/06/23 12:58:28  paszczus
- changed Requires to Suggests

Revision 1.86  2008/06/20 18:37:09  shadzik
- dirs

Revision 1.85  2008/06/20 16:17:27  shadzik
- 64bit fix

Revision 1.84  2008/06/13 14:15:58  arekm
- R: xorg-app{xset,xsetroot,xprop}; used by startkde

Revision 1.83  2008-06-12 17:20:29  shadzik
- remove *.bak files after installation

Revision 1.82  2008-06-12 17:16:42  shadzik
- adjusted %files

Revision 1.81  2008-06-12 16:33:39  shadzik
- 4.0.82

Revision 1.80  2008-06-06 19:31:32  rotom
- xmms-devel BR added

Revision 1.79  2008-06-05 15:04:39  shadzik
- systemsettings docs added

Revision 1.78  2008-06-05 14:50:37  shadzik
- BR: kde4-kdesupport-phonon-devel

Revision 1.77  2008-06-04 17:35:38  rotom
- up to 4.0.81

Revision 1.76  2008-05-27 16:30:11  shadzik
- 4.0.80
- kill flies listed twice
- more %files

Revision 1.75  2008-05-25 17:00:56  paszczus
- added some BASIC Requires

Revision 1.74  2008-05-25 14:32:16  shadzik
- remove BR: kde4-kdebase-runtime-devel - not needed

Revision 1.73  2008-05-25 13:51:19  paszczus
- removed dirty -NetworkManager.patch
- added BR: kde4-kdebase-runtime-devel

Revision 1.72  2008-05-25 12:36:31  paszczus
- added -NetworkManager.patch to avoid build problems (thx shadzik)

Revision 1.71  2008-05-24 22:03:01  pascalek
- link against Xtst

Revision 1.70  2008-05-22 17:53:02  shadzik
- one more file

Revision 1.69  2008-05-22 17:05:38  rotom
- BR added

Revision 1.68  2008-05-22 16:44:45  shadzik
- 4.0.74

Revision 1.67  2008-05-09 15:56:05  shadzik
- one more file

Revision 1.66  2008-05-09 02:35:12  shadzik
- del unneeded BR

Revision 1.65  2008-05-08 23:37:50  shadzik
- 4.0.73
- rel 1

Revision 1.64  2008-05-06 18:42:23  qboosh
- use _datadir macro, moved files to proper places

Revision 1.63  2008-04-30 21:01:19  rotom
- 4.0.72
- BR added

Revision 1.62  2008-04-19 16:44:03  shadzik
- 4.0.70

Revision 1.61  2008-04-13 19:47:49  rotom
- Requires added to devel
- added lost dir

Revision 1.60  2008-04-13 19:11:28  rotom
- 4.0.69
- kde4-decoration-ozone
- desktop-directories moved to kde4-kdebase-runtime

Revision 1.59  2008-04-09 16:17:39  shadzik
- adjusted files

Revision 1.58  2008-04-09 15:30:36  shadzik
- 4.0.68

Revision 1.57  2008-03-31 20:17:31  qboosh
- fixed encoding, enhanced kgreet* summaries

Revision 1.56  2008-03-28 06:10:45  shadzik
- 4.0.67
- new generic kgreeter

Revision 1.55  2008-03-24 20:34:32  shadzik
- more pedantic BRs by whom? of course by Michal Kochanowicz <michal at michal dot waw dot pl>, thanks

Revision 1.54  2008-03-24 16:21:10  shadzik
- BR: xorg-lib-libXtst-devel
- pedantically pointed out by Michal Kochanowicz <michal at michal dot waw dot pl>, thanks

Revision 1.53  2008-03-16 18:31:02  arekm
- up to 4.0.66

Revision 1.52  2008-03-08 00:31:49  shadzik
- 4.0.65
- adjusted files

Revision 1.51  2008-03-05 22:15:23  arekm
- devel R: -plasma

Revision 1.50  2008-03-05 22:07:37  arekm
- updated files

Revision 1.49  2008-03-05 21:38:41  arekm
- BR: libcaptury-devel, libusb-devel, lm_sensors-devel, xorg-lib-libXft-devel

Revision 1.48  2008-03-05 18:25:07  shadzik
- 4.0.64
- updated BRs

Revision 1.47  2008-02-17 02:30:27  qboosh
- some descs, trying to clean up this mess (long way to do...)

Revision 1.46  2008-02-15 15:20:01  shadzik
- typo

Revision 1.45  2008-02-15 15:19:16  shadzik
- rename kdm -> kde4-kdm

Revision 1.44  2008-02-15 02:59:02  shadzik
- more %files

Revision 1.43  2008-02-15 01:54:50  shadzik
- 4.0.62

Revision 1.42  2008-02-11 21:57:06  shadzik
- it's kde4-kdebase-workspace-kde-decoration-libs in O: not kde4-kdebase-kde-decoration-libs

Revision 1.41  2008-02-11 21:05:23  qboosh
- no macro in Obsoletes for old package
- some formatting fixes, one missing pl desc

Revision 1.40  2008-02-11 20:35:39  shadzik
- O: %{name}-kde-decoration-libs

Revision 1.39  2008-02-10 16:49:41  rotom
- 4.0.61
- kinfocenter moved to kde4-kdebase

Revision 1.38  2008-02-06 17:37:40  shadzik
- upgraded kdelibs-shared BR

Revision 1.37  2008-02-06 14:27:48  shadzik
- adapterized

Revision 1.36  2008-02-05 19:07:34  shadzik
- BR: kdelibs-shared

Revision 1.35  2008-02-05 17:20:39  shadzik
- one missing name correction

Revision 1.34  2008-02-05 11:45:06  shadzik
- rel 0.2

Revision 1.33  2008-02-05 11:42:28  shadzik
- s/kde-decoration/kde4-decoration/g
- s/kde-splash/kde4-splash/g
- s/kde-kgreet/kde4-kgreet/g

Revision 1.32  2008-02-04 23:17:05  shadzik
- more files

Revision 1.31  2008-02-04 22:03:01  shadzik
- up to 4.0.60
- strict kde4-kdelibs BR

Revision 1.30  2008-02-04 21:47:39  qboosh
- no initial epoch

Revision 1.29  2008-02-03 20:49:22  rotom
- some BRs added
- networkmanager package added

Revision 1.28  2008-02-03 19:18:09  shadzik
- rel 0.2

Revision 1.27  2008-02-03 17:37:49  paszczus
- fixed kdm; now works for me

Revision 1.26  2008-02-03 03:10:45  shadzik
- no minlib

Revision 1.25  2008-02-02 04:07:07  shadzik
- put kde4.desktop in proper place so that kdm can see it

Revision 1.24  2008-02-02 03:25:23  shadzik
- rename some sources

Revision 1.23  2008-02-02 01:56:23  shadzik
- fix BRs
- install -d instead of mkdir

Revision 1.22  2008-02-02 01:07:19  shadzik
- fix Name
- add O: and C:

Revision 1.21  2008-01-29 12:18:30  shadzik
- Gieee, it's a totally new package, epoch should really be 0, fortunatelly it wasn't sent to builders

Revision 1.20  2008-01-28 20:35:54  shadzik
- fix for session unlocking
- partailly fixes kdm login too (but there's still an "critical error")

Revision 1.19  2008-01-28 18:18:56  paszczus
- added BR: Mesa-libGL-devel

Revision 1.18  2008-01-20 19:45:10  shadzik
- don't include directories twice

Revision 1.17  2008-01-20 19:43:54  shadzik
- bluez files

Revision 1.16  2008-01-20 19:18:02  shadzik
- more BRs

Revision 1.15  2008-01-20 16:15:07  pascalek
- missing dirs, typos, session package removed

Revision 1.14  2008-01-20 15:20:40  glen
- use rpm automatics to skip kdm restart

Revision 1.13  2008-01-20 15:12:44  pascalek
- md5sum, pam, pld stuff, lang(en)

Revision 1.12  2008-01-20 13:53:40  pascalek
- typos

Revision 1.11  2008-01-20 10:57:45  pascalek
- kde4-session package, missing md5sum

Revision 1.10  2008-01-20 04:22:29  glen
- kconf_update scripts need to be executable

Revision 1.9  2008-01-20 04:05:00  pascalek
- kdm depends on kde-kgreet plugins

Revision 1.8  2008-01-20 03:44:52  pascalek
- fixed install of kdm init script

Revision 1.7  2008-01-20 00:24:00  pascalek
- more file fixes

Revision 1.6  2008-01-19 23:51:30  pascalek
- files fixes, repackaging

Revision 1.5  2008-01-19 19:15:30  pascalek
- files fixes

Revision 1.4  2008-01-19 10:40:37  pascalek
- missing icons

Revision 1.3  2008-01-19 10:08:42  pascalek
- missing wallpapers and decoration-plastic headers

Revision 1.2  2008-01-19 09:42:06  pascalek
- moving files between packages

Revision 1.1  2008-01-19 00:06:55  pascalek
- very first version - NFY
